This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 439893 - Various hal related SELinux AVC denials when logging via gdm.
Various hal related SELinux AVC denials when logging via gdm.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 17:31 EDT by Matěj Cepl
Modified: 2013-03-05 22:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 01:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
myhal module (359 bytes, text/plain)
2008-03-31 17:52 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-03-31 17:31:54 EDT
Description of problem:
When logging via gdm, I get these AVC denials and gdm crashes -- I was actually
not able to login.

module myhal 1.0;

require {
        type var_run_t;
        type hald_acl_t;
        class file { rename write getattr read lock create unlink };
        class dir { write remove_name add_name };
}

#============= hald_acl_t ==============
allow hald_acl_t var_run_t:dir { write remove_name add_name };

allow hald_acl_t var_run_t:file { rename write getattr read lock create unlink }

Version-Release number of selected component (if applicable):

[matej@viklef ~]$ rpm -q hal
hal-0.5.11-0.2.rc2.fc9.i386
selinux-policy-targeted-3.3.1-26.fc9.noarch
gdm-2.21.10-0.2008.03.26.3.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-03-31 17:52:05 EDT
Created attachment 299772 [details]
myhal module
Comment 2 Daniel Walsh 2008-04-01 01:27:34 EDT
I think these are fixed in the latest policy update by labeling /var/run/hald
hald_var_run_t

Fixed in selinux-policy-3.3.26.fc9

Note You need to log in before you can comment on or make changes to this bug.